html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}


/* ======== FONDO REGISTRO ARCÁNGEL ======== */
.fondo-registro {
    /*background: linear-gradient(135deg, #646b63, #273325);*/
    background: linear-gradient(135deg, #646b63, #646b63);
    min-height: 100vh;
    cd9c40
}

/* ======== TÍTULO SUPERIOR ======== */
.titulo-registro {
    color: #ffffff;
    font-weight: 700;
}

.subtitulo-registro {
    color: rgba(255,255,255,0.75);
}

/* ======== TARJETA ======== */
.card-registro {
    border-radius: 20px;
    border: none;
    box-shadow: 0 15px 40px rgba(0,0,0,0.25);
}

/* ======== BOTÓN DORADO ======== */
.btn-dorado {
    background-color: #D4AF37;
    color: #000;
    font-weight: 600;
    border: none;
    transition: all 0.25s ease;
}

    .btn-dorado:hover {
        background-color: #c29d2f;
        transform: translateY(-2px);
    }

/* ======== INPUTS MÁS MODERNOS ======== */
.form-control {
    border-radius: 10px;
    padding: 12px;
}

    .form-control:focus {
        border-color: #D4AF37;
        box-shadow: 0 0 0 0.2rem rgba(212,175,55,0.25);
    }

.iti {
    width: 100%;
}

    .iti input {
        width: 100%;
    }

.titulo-registro {
    margin-top: 10px;
}

.form-floating > .form-control,
.form-floating > .form-select {
    border-radius: 12px;
}

.form-floating > label {
    padding-left: 1rem;
}

.iti {
    width: 100%;
}

    .iti input {
        border-radius: 12px !important;
        /*padding-left: 70px !important;*/
    }

.iti__flag-container {
    border-radius: 12px 0 0 12px;
}

.form-select {
    border-radius: 12px;
}

    .form-select:focus {
        border-color: #D4AF37;
        box-shadow: 0 0 0 0.2rem rgba(212,175,55,0.25);
    }